summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Alan Alberghini <414N@slacky.it>2016-08-19 18:49:35 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-08-20 07:49:48 +0700
commit55770c29faa35777ddd9d7206c27f042ed278c01 (patch)
tree7ce567f54adde5ec2b9fb8e1e726b8d8043b3515 /desktop
parenta436c466b3dbe6879512aa8dcaa9793e9227e698 (diff)
downloadslackbuilds-55770c29faa35777ddd9d7206c27f042ed278c01.tar.gz
slackbuilds-55770c29faa35777ddd9d7206c27f042ed278c01.tar.xz
desktop/glabels: Added (Label Designer).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/glabels/README11
-rw-r--r--desktop/glabels/doinst.sh13
-rw-r--r--desktop/glabels/glabels.SlackBuild109
-rw-r--r--desktop/glabels/glabels.info11
-rw-r--r--desktop/glabels/slack-desc19
5 files changed, 163 insertions, 0 deletions
diff --git a/desktop/glabels/README b/desktop/glabels/README
new file mode 100644
index 0000000000..407eea5455
--- /dev/null
+++ b/desktop/glabels/README
@@ -0,0 +1,11 @@
+gLabels is a GNU/Linux program for creating labels and business cards. It is
+designed to work with various laser/ink-jet peel-off label and business card
+sheets that you’ll find at most office supply stores. gLabels is free software
+and is distributed under the terms of the GNU General Public License (GPL).
+
+Optional dependencies are:
+ - libebook (https://sourceforge.net/projects/libebook/)
+ - GNU barcode (http://www.gnu.org/software/barcode/)
+ - zint (http://sourceforge.net/projects/zint/)
+ - iec16022 (http://datenfreihafen.org/projects/iec16022.html)
+ - qrencode (available on SBo)
diff --git a/desktop/glabels/doinst.sh b/desktop/glabels/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/glabels/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/glabels/glabels.SlackBuild b/desktop/glabels/glabels.SlackBuild
new file mode 100644
index 0000000000..af74539da5
--- /dev/null
+++ b/desktop/glabels/glabels.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Slackware build script for glabels
+
+# Copyright (c) 2016 Alan Alberghini <414N@slacky.it>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Build history:
+#
+# 1 - Initial release.
+
+PRGNAM=glabels
+VERSION=${VERSION:-3.4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+DOCS="README AUTHORS ChangeLog NEWS TODO COPYING*"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}-${VERSION}.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/glabels/glabels.info b/desktop/glabels/glabels.info
new file mode 100644
index 0000000000..d1a7c16c62
--- /dev/null
+++ b/desktop/glabels/glabels.info
@@ -0,0 +1,11 @@
+PRGNAM="glabels"
+VERSION="3.4.0"
+HOMEPAGE="http://glabels.org"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/glabels/3.4/glabels-3.4.0.tar.xz"
+MD5SUM="6b364a487b9856b831c9db0e845e67a2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Alan Alberghini"
+EMAIL="414N@slacky.it"
+APPROVED=""
diff --git a/desktop/glabels/slack-desc b/desktop/glabels/slack-desc
new file mode 100644
index 0000000000..0505ae7f35
--- /dev/null
+++ b/desktop/glabels/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+glabels: gLabels -(Label Designer)
+glabels:
+glabels: gLabels is a GNU/Linux program for creating labels and business cards
+glabels: It is designed to work with various laser/ink-jet peel-off label and
+glabels: business card sheets that you’ll find at most office supply stores.
+glabels: gLabels is free software and is distributed under the terms of the
+glabels: GNU General Public License (GPL).
+glabels:
+glabels:
+glabels: Homepage: http://glabels.org
+glabels: